Page MenuHomeLubuntu Development

Make Calamares work well with smaller screens
Closed, ResolvedPublic

Description

Calamares should work better with smaller screens.

Event Timeline

tsimonq2 triaged this task as Normal priority.Mar 30 2019, 2:52 PM
tsimonq2 created this task.
kc2bez added a subscriber: kc2bez.Apr 14 2019, 10:08 PM

For the easy win we could set windowExpanding: fullscreen in the branding.desc file to force calamares into full screen mode.

wxl added a subscriber: wxl.Apr 15 2019, 1:35 AM

Just created a bug regarding an 800x600 screen (default in VirtualBox). Fullscreen would fix this regardless of the solution upstream comes up with. I will note they don't like scroll bars so the code currently enlarges the window and adds a scroll bar only if necessary. Ew.

I said on the devel channel yesterday(?) that I think it's too late for release, but seeing as it's default in Virtualbox, it makes it much more urgent in my eyes. If we want to retest everything, Adam did say this on Thursday...

[20:53] <infinity> tsimonq2: Ultimately, for packages only you seed, you have final say anyway (up to a point).  If you want to upload something and respin and retest all your crap 6 hours before release, be my guest.
[20:53] <infinity> tsimonq2: If you want to do it an hour before release, you might have missed your window. :P

That being said, I want @guiverc's input on this, because he's the AWESOME (seriously!) tester who has been plowing through the testcases.

wxl added a comment.Apr 15 2019, 10:22 AM

Well here's a weird thing: I haven't had any problem with 19.04 in VirtualBox booting to a reasonable size, i.e. not a little 800x600 screen. Whether or not that's true, I don't think we need to make it so urgent, especially when the release notes link to a bug that provides a simple workaround: go full screen.

wxl added a comment.Apr 15 2019, 10:22 AM

And VirtualBox 6 I might add. That might also have something to do with it.

wxl added a comment.Apr 15 2019, 10:28 AM

Just to make it easily accessible here's the line in the branding.desc that deals with window behavior.

kc2bez added a comment.Jul 1 2019, 9:05 PM

@wxl @tsimonq2 Is fullscreen the way we want to go here or do we want some other set size?
I like fullscreen for 2 reasons.

  1. Keeps the focus on the install process. It was hopefully what you intended to do when you clicked install.
  2. Fits all screen sizes.

It could be bad too I guess if you need access to something else e.g. terminal, browser, etc. (those cases are probably more fringe honestly). Fullscreen is just that and not a maximized window (like F11 in your browser).

I think fullscreen is the best way to go here.

wxl added a comment.Jul 1 2019, 9:19 PM

Yeah I don't know why we didn't do that before. It's a no brainer. Make it happen @kc2bez.

FYI: Sorry I should have responded months ago (I'm very forgetful), but the smallest screen I can find is 1024x768 for actual hardware testing (according to online specs)

kc2bez claimed this task.Jul 2 2019, 7:48 AM
kc2bez closed this task as Resolved.Jul 7 2019, 12:05 PM

I have tested this in a VM and on bare metal. The bare metal machine had 2 displays and the full-screen window appeared only on the main display (expected behavior). The VM resolution was set to 800X600 and everything appeared on the screen and looked normal.